diff tests/test-bad-pull @ 7919:3e6206967570

Backed out changeset 490e40816cbd The difference came from a configuration difference (network unreachable vs. connection refused), not from an OS change.
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Mon, 30 Mar 2009 01:23:01 +0200
parents 490e40816cbd
children d4a62b6d4a58
line wrap: on
line diff
--- a/tests/test-bad-pull	Fri Feb 27 17:28:26 2009 -0800
+++ b/tests/test-bad-pull	Mon Mar 30 01:23:01 2009 +0200
@@ -1,7 +1,7 @@
 #!/bin/sh
 
-{ hg clone http://localhost:$HGPORT/ copy 2>&1; echo $?; } | \
-	sed 's/error:.*/error:/'
+hg clone http://localhost:$HGPORT/ copy
+echo $?
 test -d copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
@@ -23,7 +23,8 @@
 # give the server some time to start running
 sleep 1
 
-{ http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1; echo $?; } | \
+http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1 | \
     sed -e 's/404.*/404/' -e 's/Date:.*/Date:/'
+echo $?
 
 kill $!